
#include "FreeRTOS.h"
#include "task.h"
#include "driverlib/sysctl.h"

// vars
const uint32_t usStackDepth = 128;
const uint32_t uxPriority = 1;
volatile uint32_t c = 0;

// prototype function
static void Task(void *pvParameters);


int main(void)
{
    // system clock 80MHz
    SysCtlClockSet(SYSCTL_SYSDIV_2_5 |
                   SYSCTL_USE_PLL |
                   SYSCTL_OSC_MAIN |
                   SYSCTL_XTAL_16MHZ);

    // create task
    if(xTaskCreate(
            Task,
            (const portCHAR *)"Task",
            usStackDepth,
            NULL,
            tskIDLE_PRIORITY + uxPriority, NULL)
            != pdTRUE){
                volatile uint32_t error = 1;
    }

    // start the FreeRTOS scheduler
    vTaskStartScheduler();

    // main loop
    for(;;){

        c++;
    }

    return 0;
}


static void Task(void *pvParameters){

    // local vars
    volatile uint32_t a = 0;

    // task job
    for(;;){

        a++;

    }
}

